---
layout: base
---
  
  <!--~~~~~~ Intro Section ~~~~~~-->
  {% if page.intro_content %}
  <div class="intro outer">
    <div class="inner-md">
      <div class="intro-text">
        {{ page.intro_content | markdownify }}
      </div>

      {% if page.intro_actions %}
        <div class="intro-cta">
          {% for action in page.intro_actions %}
           <a href="{{ action.url | relative_url }}" class="{% if action.style == 'primary' or action.style == 'secondary' %}button{% endif %}{% if action.style == 'secondary' %} button-secondary{% endif %}" {% assign new_window_is_not_empty = action.new_window | is_not_empty %}{% if new_window_is_not_empty %}target="_blank" rel="noopener"{% endif %}>{{ action.label }}</a>
          {% endfor %}
        </div>
      {% endif %}
      
    </div>
  </div><!-- .intro -->
  {% endif %}
  

  <div id="content" class="homepage site-content outer">
    <main id="main" class="site-main inner">


  <!--~~~~ Post Feed ~~~~-->
  <div class="post-feed">
    
    {% comment %}
      {% assign display_posts = '/posts' | get_pages | sort: 'date' | reverse %}
      { for post in display_posts %}
    {% endcomment %}
    
    {% assign states = site.states | where: 'battleground_state', true %}
    {% for post in states %}
      <article class="post post-card">
        <div class="post-card-inside">
          
          <!-- {% comment %}
            {% assign thumb_img_path_is_not_empty = post.thumb_img_path | is_not_empty %}
            {% if thumb_img_path_is_not_empty %}
            <a class="post-card-thumbnail" href="{{ post.url | relative_url }}">
              <img class="thumbnail" src="{{ post.thumb_img_path | relative_url }}" alt="{{ post.title }}" />
            </a>
            {% endif %}
          {% endcomment %} -->
          
          <div class="post-card-content">
            <header class="post-header">
              
              {% comment %}
                <div class="post-meta">
                  <time class="published"
                  datetime="{{ post.date | date: '%Y-%m-%d %H:%M' }}">{{ post.date | date: '%B %d, %Y' }}</time>
                </div>
              {% endcomment %}
              
              <h2 class="post-title"><a href="{{ post.url | relative_url }}" rel="bookmark">{{ post.title }}</a></h2>
            </header><!-- .post-header -->
            
            <div class="post-excerpt">
              
              <table>
                <tbody>
                  <tr>
                    <th>Number of disputed ballots</th>
                    <td>{{ post.number_of_disputed_ballots | markdownify | replace: "<p>", "" | replace :"</p>", "" }}</td>
                  </tr>
                  <tr>
                    <th>Biden's winning margin</th>
                    <td>{{ post.biden_winning_margin | markdownify | replace: "<p>", "" | replace :"</p>", "" }}</td>
                  </tr>
                  <tr>
                    <th>Electoral college votes under dispute</th>
                    <td>{{ post.electoral_college_votes | markdownify | replace: "<p>", "" | replace :"</p>", "" }}</td>
                  </tr>
                  {% if post.forensic_audit %}
                  <tr>
                    <th>Forensic audit investigation</th>
                    <td>{{ post.forensic_audit }}</td>
                  </tr>
                  {% endif %}
                </tbody>
              </table>
              
              {% if post.summary %}
                {{ post.summary | markdownify }}
              {% endif %}
                            
              {% if page.has_more_link == true and page.more_link_text %}
                <p class="read-more">
                  <a class="button button-secondary" href="{{ post.url | relative_url }}">{{ page.more_link_text }}</a>
                </p>
              {% endif %}
              
            </div><!-- .post-excerpt -->
            
          </div><!-- .post-card-content -->
        </div><!-- .post-card-inside -->
        
        
        
        
        
      </article><!-- .post -->
    {% endfor %}
  </div><!-- .post-feed -->
  
  <div class="inner-md homepage-content">
    
    {{ content }}
    
  </div>
  

  <!-- Pagination TBD -->
  <!--
  <nav class="pagination">
    <div class="nav-links">
      <a class="older-posts button" href="#"><span class="icon-arrow-left" aria-hidden="true"></span><span class="screen-reader-text">Older posts</span></a>
      <span class="page-number">Page X of Y</span>
      <a class="newer-posts button" href="#"><span class="screen-reader-text">Newer posts</span><span class="icon-arrow-right" aria-hidden="true"></span></a>
    </div>
  </nav>
  -->

  </main><!-- .site-main -->
  </div><!-- .site-content -->
